import unittest

from csst_dfs_client import level2

class Level2TestCase(unittest.TestCase):

    def setUp(self):
        pass

    def test_find(self):
        result = level2.find(obs_id = "10609400034529")
        print(result)
        self.assertEqual(result.code, 200, "error code: " + str(result.code))
        self.assertIsNotNone(result.data, "error message: " + result.message)

    # def test_find_by_level2_id(self):
    #     result = level2.find_by_level2_id(level2_id = "1060940003452925")
    #     print(result)
    #     self.assertEqual(result.code, 200, "error code: " + str(result.code) + ", message: " + result.message)
    #     self.assertIsNotNone(result.data, "error message: " + result.message)

    # def test_update_qc2_status(self):
    #     result = level2.update_qc2_status(level2_id = "1060940003452925", data_type='csst-msc-l1-mbi-cat', qc2_status=1)
    #     print(result)
    #     self.assertEqual(result.code, 200, "error code: " + str(result.code) + ", message: " + result.message)

    # def test_update_prc_status(self):
    #     result = level2.update_prc_status(level2_id = "1060940003452925", data_type='csst-msc-l1-mbi-cat', prc_status=3)
    #     print(result)
    #     self.assertEqual(result.code, 200, "error code: " + str(result.code) + ", message: " + result.message)

    # def test_update_qc2_status_by_file_name(self):
    #     result = level2.update_qc2_status_by_file_name(file_name = "CSST_MSC_MS_SCIE_20290713003437_20290713003707_10160000136_24_L1_V01_CAT.fits", qc2_status=1)
    #     print(result)
    #     self.assertEqual(result.code, 200, "error code: " + str(result.code) + ", message: " + result.message)

    # def test_update_prc_status_by_file_name(self):
    #     result = level2.update_prc_status_by_file_name(file_name = "CSST_MSC_MS_SCIE_20290713003437_20290713003707_10160000136_24_L1_V01_CAT.fits", prc_status=3)
    #     print(result)
    #     self.assertEqual(result.code, 200, "error code: " + str(result.code) + ", message: " + result.message)

    # def test_write(self):
    #     file_path = "/Users/wsl/temp/csst/import/CSST_MSC_MS_SCIE_20290713003437_20290713003707_10160000136_24_L1_V01_CAT.fits"
    #     result = level2.write(local_file = file_path, 
    #         module_id = "MSC",
    #         level0_id="1060940003452925",
    #         level1_id = "1060940003452925", 
    #         level2_id = "1060940003452925", 
    #         data_type='csst-msc-l1-mbi-cat', 
    #         brick_id = 254,
    #         pipeline_id = "csst-msc-l1-mbi",
    #         build=1,
    #         run_id="20241107100248",
    #         version="093",
    #         prc_status=1)
    #     print(result)
    #     self.assertEqual(result.code, 200, "error code: " + str(result.code) + ", message: " + result.message)

    def test_catalog_query(self):
        result = level2.catalog_query(sql="select * from tb_level2")
        print(result)
        self.assertEqual(result.code, 200, "error code: " + str(result.code) + ", message: " + result.message)
